Gecode::Set::Convex::ConvexHull Class Reference
Other available functionality » Set propagators

Propagator for the convex hull constraint More...

`#include <convex.hh>`

## Public Member Functions

virtual Actor * | copy (Space &home)
| Copy propagator during cloning.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
Public Member Functions inherited from Gecode::BinaryPropagator< SetView, PC_SET_ANY >
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as low binary).
virtual void | reschedule (Space &home)
| Schedule function.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, SetView x, SetView y)
| Post propagator that propagates that y is the convex hull of x.
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| ConvexHull (Space &home, ConvexHull &)
| Constructor for cloning p.
| ConvexHull (Home home, SetView, SetView)
| Constructor for posting.
Protected Member Functions inherited from Gecode::BinaryPropagator< SetView, PC_SET_ANY >
| BinaryPropagator (Space &home, BinaryPropagator &p)
| Constructor for cloning p.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Additional Inherited Members

Protected Attributes inherited from Gecode::BinaryPropagator< SetView, PC_SET_ANY >
SetView | x0
| Two views.
SetView | x1

## Detailed Description

Propagator for the convex hull constraint

Requires

#include <gecode/set/convex.hh>
convex.hh

Definition at line 80 of file convex.hh.

## Constructor & Destructor Documentation

## ConvexHull() [1/2]

Gecode::Set::Convex::ConvexHull::ConvexHull | ( | Space & | home,
|  | ConvexHull & | p )

inline protected

Constructor for cloning p.

Definition at line 52 of file hull.hpp.

## ConvexHull() [2/2]

Gecode::Set::Convex::ConvexHull::ConvexHull | ( | Home | home,
|  | SetView | x,
|  | SetView | y )

inline protected

Constructor for posting.

Definition at line 48 of file hull.hpp.

## Member Function Documentation

## copy()

Actor * Gecode::Set::Convex::ConvexHull::copy | ( | Space & | home | ) |

virtual

Copy propagator during cloning.

Implements Gecode::Actor.

Definition at line 45 of file hull.cpp.

## propagate()

ExecStatus Gecode::Set::Convex::ConvexHull::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 50 of file hull.cpp.

## post()

ExecStatus Gecode::Set::Convex::ConvexHull::post | ( | Home | home,
|  | SetView | x,
|  | SetView | y )

inline static

Post propagator that propagates that y is the convex hull of x.

Definition at line 56 of file hull.hpp.

The documentation for this class was generated from the following files:

- gecode/set/convex.hh
- gecode/set/convex/hull.cpp
- gecode/set/convex/hull.hpp